Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.item
Class CMProductItemManagerBean

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl
          com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
              com.beasys.commerce.ebusiness.catalog.service.item.CMProductItemManagerBean

All Implemented Interfaces
  ProductItemManagerBusiness, Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CMProductItemManagerBean

extends CatalogServiceImpl
implements ProductItemManagerBusiness

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`CATALOG_MANAGER_HOME, CATALOG_QUERY_DELEGATE, CATEGORY_DELEGATE, CUSTOM_DATA_DELEGATE, PRODUCT_ITEM_DELEGATE`

Fields inherited from class com.beasys.commerce.foundation.SessionImpl
`_ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty`

Constructor Summary
`CMProductItemManagerBean()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `createItem(CatalogRequest request, ProductItem product)` Deprecated See BEA Commerce product offering
`ProductItem` | `getItem(CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`int` | `getItemCount(CatalogRequest request)` Deprecated See BEA Commerce product offering
`ProductItemKey[]` | `getItemKeys(CatalogRequest request, int beginIndex, int endIndex)` Deprecated See BEA Commerce product offering
`ViewIterator` | `getItems(CatalogRequest request, int viewSize)` Deprecated See BEA Commerce product offering
`ProductItem[]` | `getItems(CatalogRequest request, ProductItemKey[] productKeys)` Deprecated See BEA Commerce product offering
`String[]` | `getKeywords(CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`protected ProductItemManagerBusiness` | `getProductItemManagerDelegate()` Deprecated See BEA Commerce product offering
`void` | `removeItem(CatalogRequest request, ProductItemKey productKey)` Deprecated See BEA Commerce product offering
`void` | `setKeywords(CatalogRequest request, ProductItemKey productKey, String[] keywords)` Deprecated See BEA Commerce product offering
`void` | `updateItem(CatalogRequest request, ProductItem product)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.ebusiness.catalog.service.CatalogServiceImpl
`ejbActivate, ejbCreate, ejbPassivate, ejbPostCreate, ejbRemove, getCatalogManager, getCatalogManagerJndiName, getConfigBean, setDelegateName, setSessionContext, validateAuthorization`

Methods inherited from class com.beasys.commerce.foundation.SessionImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMProductItemManagerBean

    public CMProductItemManagerBean()

  Deprecated See BEA Commerce product offering

Method Detail

### getProductItemManagerDelegate

    protected ProductItemManagerBusiness getProductItemManagerDelegate()
                                                                throws CatalogException

  Deprecated See BEA Commerce product offering

  Throws
    `CatalogException`

### getItemCount

    public int getItemCount(CatalogRequest request)
                     throws RemoteException,
                            CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Returns the number of product items in the product catalog.

  Specified by:
    `getItemCount` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object
  Returns
    The number of product items in the product catalog.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getItem

    public ProductItem getItem(CatalogRequest request,
                               ProductItemKey productKey)
                        throws RemoteException,
                               CatalogFinderException,
                               CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Returns the product item with the specified key.

  Specified by:
    `getItem` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### getItems

    public ProductItem[] getItems(CatalogRequest request,
                                  ProductItemKey[] productKeys)
                           throws RemoteException,
                                  CatalogFinderException,
                                  CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Returns the product items with the given product item keys.

  Specified by:
    `getItems` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `productKeys` - The keys of the target product items.
  Returns
    The product items with the given product item keys.
  Throws
    `CatalogFinderException` - if a product item with a given key does not exist.
    `CatalogException` - on general error.
    `RemoteException`

### getItemKeys

    public ProductItemKey[] getItemKeys(CatalogRequest request,
                                        int beginIndex,
                                        int endIndex)
                                 throws RemoteException,
                                        CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Returns an array over all existing product item keys within the specified ordered range.

  Specified by:
    `getItemKeys` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `beginIndex` - The lower bound index for returned product item keys.
    `endIndex` - The upper bound index for returned product item keys.
  Returns
    An array of the product item keys.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getItems

    public ViewIterator getItems(CatalogRequest request,
                                 int viewSize)
                          throws RemoteException,
                                 CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Returns a ViewIterator over all existing product items.

  Specified by:
    `getItems` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns
    A ViewIterator over all existing product items.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getKeywords

    public String[] getKeywords(CatalogRequest request,
                                ProductItemKey productKey)
                         throws RemoteException,
                                CatalogFinderException,
                                CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Returns the keywords associated with a given product item.

  Specified by:
    `getKeywords` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Returns
    The keywords associated with the given product item. If there are no keywords associated with the item, a zero length <code>String</code> array is returned.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### setKeywords

    public void setKeywords(CatalogRequest request,
                            ProductItemKey productKey,
                            String[] keywords)
                     throws RemoteException,
                            CatalogFinderException,
                            CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Sets the keywords for a given product item.

  Specified by:
    `setKeywords` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `productKey` - The key of the target product.
    `keywords` - The keywords to associate with the given product item.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### createItem

    public void createItem(CatalogRequest request,
                           ProductItem product)
                    throws RemoteException,
                           CatalogCreateException,
                           CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Creates a new product item.

  Specified by:
    `createItem` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `product` - The product item to persist.
  Throws
    `CatalogCreateException` - if the product item could not be created.
    `CatalogException` - on general error.
    `RemoteException`

### updateItem

    public void updateItem(CatalogRequest request,
                           ProductItem product)
                    throws RemoteException,
                           CatalogFinderException,
                           CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Updates a product item.

  Specified by:
    `updateItem` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `product` - The product item to update.
  Throws
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### removeItem

    public void removeItem(CatalogRequest request,
                           ProductItemKey productKey)
                    throws RemoteException,
                           CatalogRemoveException,
                           CatalogFinderException,
                           CatalogException

  Deprecated See BEA Commerce product offering

  Description copied from interface: `ProductItemManagerBusiness`
  Removes a product item.

  Specified by:
    `removeItem` in interface `ProductItemManagerBusiness`
  Parameters
    `request` - The catalog request object.
    `productKey` - key of the product item to remove.
  Throws
    `CatalogRemoveException` - if the product item could not be removed.
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved